RLETOPS(1)

NAME
rletops - Convert RLE images to PostScript

SYNOPSIS
rletops [ -C ] [ -a aspect ] [ -c center ] [ -h height ] [ -o outfile.ps ] [ -s ] [ infile ]

DESCRIPTION
Rletops converts RLE(5) images into PostScript. The conversion uses the PostScript image operator, instructing the device to reproduce the image to the best of its abilities. If infile isn't specified, the RLE image is read from stdin. The PostScript output is dumped to stdout, or to outfile.ps, if specified.

OPTIONS

-a aspect
    Specify aspect ratio of image. Default is 1.0 (note PostScript uses square pixels).

-C  Causes a color PostScript image to be generated. This creates larger files and uses the PostScript colorimage operator, which is not recognized by all devices. The default is monochrome.

-c center
    Centers the images about a point center inches from the left edge of the page (or left margin if -s is specified). Default is 4.25 inches.

-h height
    Specifies the height (in inches) the image is to appear on the page. The default is three inches. The width of the image is calculated from the image height, aspect ratio, and pixel dimensions.

-s  Specifies image is to be generated in "Scribe Mode." The image is generated without a PostScript showpage operator at the end, and the default image center is changed to 3.25 inches from the margin (which usually is 1 inch). This is to generate PostScript files that can be included in Scribe documents with the @Picture command. Images may also be included in LaTex documents with local conventions like the \special{psfile=image.ps} command.

NOTES
On devices like the Apple LaserWriter, rletops generates large PostScript files that take a non-trivial amount of time to download and print. A 512x512 image takes about ten minutes. For including images in documents at the default sizes, 256x256 is usually sufficient resolution.

SEE ALSO
avg4(1), urt(1), RLE(5).

AUTHORS
Rod Bogart, John W. Peterson, Gregg Townsend. Portions are based on a program by Marc Majka.

BUGS
Due to a mis-understanding with the PostScript interpreter, rletops always rounds the image size up to an even number of scanlines.